default User-Agent changed
authorsmcv <smcv@web>
Sun, 12 Oct 2014 16:49:24 +0000 (12:49 -0400)
committeradmin <admin@branchable.com>
Sun, 12 Oct 2014 16:49:24 +0000 (12:49 -0400)
doc/plugins/openid/troubleshooting.mdwn

index 377fd10fd3f6e8fa5cf1bbd91db8b6b3b62a978e..12cd9bedbdef5a0f30f8f3e9638c573a6dc0f32f 100644 (file)
@@ -112,6 +112,12 @@ over which you and your customer have no knowledge or control."
 
 Sigh. -- Chap
 
+> Thanks for the pointer. It seems the open-source ruleset blacklists libwww-perl by default
+> too... this seems very misguided but whatever. I've changed our default User-Agent to
+> `ikiwiki/3.20141012` (or whatever the version is). If we get further UA-blacklisting
+> problems I'm very tempted to go for `Mozilla/5.0 (but not really)` as the
+> next try. --[[smcv]]
+
 ## Error: OpenID failure: naive_verify_failed_network: Could not contact ID provider to verify response.
 
 Again, this could have various causes. It was helpful to bump the debug level